# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stow/version'

Gem::Specification.new do |spec|
  spec.name          = "stow"
  spec.version       = Stow::VERSION
  spec.authors       = ["Jamie Hill"]
  spec.email         = ["jamie@thelucid.com"]
  spec.description   = %q{A common interface to local filesystem, database (such as GridFS) and cloud based storage.}
  spec.summary       = %q{An abstraction layer for local, database and cloud storage.}
  spec.homepage      = "http://github.com/thelucid/stow"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-minitest"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "rb-inotify"
  spec.add_development_dependency "rb-fsevent"
  spec.add_development_dependency "rb-fchange"
end
